#include "xcstaticmodel.h"

XCStaticModel::XCStaticModel()
    : XAsset()
    , mWritable()
    , mModel(new XModel())
    , mOrigin()
    , mInvScaledAxis()
    , mAbsmin()
    , mAbsmax()
{
}

void XCStaticModel::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        // Parse writable
        mWritable.ParseData(aStream);

        // We would parse xmodel here, but we're using a placeholder

        *aStream
            >> mOrigin[0]
            >> mOrigin[1]
            >> mOrigin[2];

        // Parse invScaledAxis
        for (int i = 0; i < 3; ++i) {
            *aStream
                >> mInvScaledAxis[i][0]
                >> mInvScaledAxis[i][1]
                >> mInvScaledAxis[i][2];
        }

        // Parse absmin and absmax
        *aStream
            >> mAbsmin[0]
            >> mAbsmin[1]
            >> mAbsmin[2]
            >> mAbsmax[0]
            >> mAbsmax[1]
            >> mAbsmax[2];
    }
}

void XCStaticModel::Clear()
{

}
